Create a task for an issue
curl --request POST \
--url https://api.sazabi.com/v1/issues/{issueId}/tasks/createimport requests
url = "https://api.sazabi.com/v1/issues/{issueId}/tasks/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.sazabi.com/v1/issues/{issueId}/tasks/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/issues/{issueId}/tasks/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/issues/{issueId}/tasks/create"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/issues/{issueId}/tasks/create")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/issues/{issueId}/tasks/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"taskLink": {
"provider": "linear",
"identifier": "<string>",
"url": "<string>"
},
"created": true
}Issues
Create a task for an issue
File a task for the issue in the Linear team the project files into and link it to the issue. The task carries the issue’s brief for a coding agent and links back to the issue. An issue that already has a task gets that task back.
POST
https://api.sazabi.com/v1
/
issues
/
{issueId}
/
tasks
/
create
Create a task for an issue
curl --request POST \
--url https://api.sazabi.com/v1/issues/{issueId}/tasks/createimport requests
url = "https://api.sazabi.com/v1/issues/{issueId}/tasks/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.sazabi.com/v1/issues/{issueId}/tasks/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/issues/{issueId}/tasks/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/issues/{issueId}/tasks/create"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/issues/{issueId}/tasks/create")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/issues/{issueId}/tasks/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"taskLink": {
"provider": "linear",
"identifier": "<string>",
"url": "<string>"
},
"created": true
}